Skip to main content
GET
/
workspaces
/
{workspaceId}
/
folders
List folders
curl --request GET \
  --url https://api.tally.so/workspaces/{workspaceId}/folders \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "workspaceId": "<string>",
    "parentId": "<string>",
    "createdByUserId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]
Folders are also included inline on each workspace in the workspace list response, under the folders array.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

The ID of the workspace to list folders for

Response

Folders retrieved successfully

id
string
required
name
string
required
workspaceId
string
required
parentId
string | null
required
createdByUserId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required